Subject: Re: bug#19055: comint-previous-matching-input-from-input broken by fix for #13404

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 03 Aug 2019 16:22:02 +0200

John Valente <[email-masked]> writes:

> Bug #13404 complained that comint-previous-matching-input-from-input
> moved the point to the end of the line, and that this was a bug because it
> was incompatible with bash and zsh.
>
> I really have no idea where this comes from.  Actually, bash and zsh do
> move the cursor to the end of the input.  But even if they didn't, the "old"
> behavior is something that Emacs users have used and appreciated for
> many years.
>
> If someone wants behavior where the point doesn't move as you cycle
> through the history, that could be a reasonable request, but that should be
> controlled by a variable or a symbol property or something.  To simply
> change the behavior, without providing a straightforward option to get back
> the old behavior, is absurd.
>
> Obviously there is a workaround: in my personal emacs files, I now define
> my own version of comint-previous-matching-input-from-input.  But this is
> silly.  I don't want to have to define my own version of basic functions.

(I'm going through old bug reports that unfortunately have not received
any responses yet.)

If I understand correctly, this bug was fixed by the patch below, and
I'm closing this bug report.  If this bug is still present, please
reopen.

commit afe2997119a5e6b108851f2e236037da1d4acef2
Author: Philipp Stephani <[email-masked]>
Date:   Thu Oct 27 00:28:34 2016 +0200

    Comint: new user option for C-c M-r and C-c M-s
    
    This option allows the user to specify where to place point after these
    commands.
    
    * comint.el (comint-move-point-for-matching-input): New user option.
    (comint-previous-matching-input-from-input): Use user option.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no